#!/bin/sh
cd /usr/share/nmis/bin

log=/var/log/nmis/reports.log
reportdir=/var/lib/nmis/reports

# set the date parameters
year=`date | awk '{print $6}'`
month=`date | awk '{print $2}'|cut -c 1-3`
weekday=`date | awk '{print $1}'|cut -c1-3`
day=`date | awk '{print $3}'`
time=`date | awk '{print $4}'`

case $month in
	Jan)	lastmonth=12
		month=01
		year=1999;;
	Feb)	month=02
		lastmonth=01;;
	Mar)	month=03
		lastmonth=02;;
	Apr)	month=04
		lastmonth=03;;
	May)	month=05
		lastmonth=04;;
	Jun)	month=06
		lastmonth=05;;
	Jul)	month=07
		lastmonth=06;;
	Aug)	month=08
		lastmonth=07;;
	Sep)	month=09
		lastmonth=08;;
	Oct)	month=10
		lastmonth=09;;
	Nov)	month=11
		lastmonth=10;;
	Dec)	month=12
		lastmonth=11;;
esac

case $day in
	1) day=01;;
	2) day=02;;
	3) day=03;;
	4) day=04;;
	5) day=05;;
	6) day=06;;
	7) day=07;;
	8) day=08;;
	9) day=09;;
esac

date="$day-$month-$year"     


case $1 in
	month) 	length=month
	     	outfile=month-$lastmonth-$year.html
		;;
	day) 	length=day
	     	outfile=day-$day-$month-$year-$weekday.html
		;;
	week) 	length=week
	     	outfile=week-$day-$month-$year-$weekday.html
		;;
	*)
		echo Requires type arguement month, week or day
		;;
esac

case $2 in
	health) 
		./reports.pl type=$2 length=$length outfile=$reportdir/$outfile
		chmod 664 $reportdir/$outfile
		chgrp nmis $reportdir/$outfile
		chown nmis $reportdir/$outfile
		;;
	outage)
		./reports.pl type=$2 length=$length outfile=$reportdir/outage-$outfile
		chmod 664 $reportdir/outage-$outfile
		chgrp nmis $reportdir/outage-$outfile
		chown nmis $reportdir/outage-$outfile
		;;
	response)
		./reports.pl type=$2 length=$length outfile=$reportdir/response-$outfile
		chmod 664 $reportdir/response-$outfile
		chgrp nmis $reportdir/response-$outfile
		chown nmis $reportdir/response-$outfile
		;;
	*)
		echo Requires type arguement response, health or outage
		;;
esac


exit 0
